import 'package:flutter/material.dart';

extension ThemeDataEx on ThemeData {
  /// Create ThemeData which follows latest Material Design Spec.
  ThemeData followLatestSpec() {
    final typography = Typography.material2018();
    final englishLike = typography.englishLike;
    return copyWith(
      typography: typography.copyWith(
        englishLike: typography.englishLike.copyWith(
          // Workaround: https://github.com/flutter/flutter/pull/49756
          bodyText1: englishLike.bodyText2,
          bodyText2: englishLike.bodyText1,
        ),
      ),
      snackBarTheme: snackBarTheme.copyWith(
        behavior: SnackBarBehavior.floating,
      ),
      splashFactory: InkRipple.splashFactory,
    );
  }
}
